Subject: Re: bug#55832: 28.1; Emacs crashes when using tramp from helm in emacs-29

From: Thierry Volpiatto <[email-masked]>
Date: Sat, 11 Jun 2022 19:46:08 +0000

Michael Albinus <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
> Hi Thierry,
>
>> Ah ok, I noticed I have always in ~/.emacs.d/tramp an UNKNOW entry for
>> uid and gid, is it normal?
>
> When the remote uid or gid cannot be determined, Tramp sets the default
> value "UNKNOWN" (for the uid-string resp. remote-gid property), and -1
> (for the uid-integer resp. gid-integer property). See
> tramp-unknown-id-string and tramp-unknown-id-integer.
>
> However, I would be surprised if these values are used for a "sudo"
> connection. Checking my own ~/.emacs.d/tramp I find such entries,
> indeed, for a "sudo" connection. Very strange. But although incorrect,
> they haven't disturbed my use of Tramp.
>
> After exiting Emacs, deleting ~/.emacs.d/tramp, and starting Emacs again
> with a "sudo" connection, there arer proper values "root" and 0 in the
> cached properties. Hmm, don't know where these values came from in
> history, but I don't believe they should disturb Tramp. But who
> knows. Perhaps you move the ~/.emacs.d/tramp file away (in order to use
> it later if necessary), start a new Emacs instance, and see, whether it
> still crashes with your scenario.

Will try this now.

>>> Sad. Since I cannot reproduce the problem locally, what happens if you
>>> invoke "emacs -Q" similar to how I've done?
>>
>> I can't reproduce the crash using helm -P path/to/emacs though there is
>> not much difference with my helm-find-files config, the difference comes
>> I guess from the usage of normal emacs (or possibly only -q) and emacs
>> -Q which affect tramp in some ways.
>>
>> What I would like to understand is why the crash appears AFTER
>> tramp-cleanup-all-connections and not before on first shot.
>
> Also a mystery to me.
>
> If the removing of the ~/.emacs.d/tramp file does not help, you might
> try the following settings:
>
> (setq tramp-verbose 10 tramp-debug-to-file t)

Ah nice, with those setting instead of crashing emacs hang and I can
recuperate with C-g, here the tramp log:

https://gist.github.com/thierryvolpiatto/96b5d3bacc92deac1fad275eede69354

Thanks.

-- 
Thierry